%define	name	directfb
%define version 0.9.22
%define release 1bP
%define	oname	DirectFB
%define	major	0.9_22
%define	libname	%mklibname %{name} %{major}

Summary:	Hardware graphics acceleration library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://www.directfb.org/downloads/Core/%{oname}-%{version}.tar.bz2
Distribution:	blackPanther OS.
Vendor:    	blackPanther OS. Team
Packager:  	Karoly Barcza <kbarcza@blackpanther.hu>
# (gb) nuke lib64 rpaths, aka libtool fixes, don't bother with aclocal
Patch1:		DirectFB-0.9.21-libtool.patch.bz2
# (cjw) savage and i830 drivers use sys/io.h
Patch2:		directfb-0.9.21-disable-savage-on-ppc.patch.bz2
URL:		http://www.directfb.org/
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	freetype2-devel >= 2.0.2
BuildRequires:	libsysfs-devel
BuildRequires:  kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DirectFB hardware graphics acceleration - libraries.

%package -n	%{libname}
Summary:        Shared library part of %oname
Group:		System/Libraries

%description -n	%{libname}
DirectFB hardware graphics acceleration - libraries.

This package contains the %oname shared library and interface modules.
It's required for running apps based on %oname.


%package -n	%{libname}-devel
Group:		Development/C
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Provides:	libdirectfb0.9-devel = %{version}-%{release}

%description -n	%{libname}-devel
DirectFB header files for building applications based on %oname. 

%package	doc
Summary:	DirectFB - documentation
Group:		Books/Computer books

%description	doc
DirectFB documentation and examples.

%prep
%setup  -q -n %{oname}-%{version}
%patch1 -p1 -b .libtool
%patch2 -p1 -b .ppc
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-fast-install \
	--disable-avifile \
	--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# we don't ship these ATM, libtool relink problem
#rm -f %buildroot/%_bindir/dfbg
#rm -f %buildroot/%_mandir/man1/dfbg.1
#rm -f %buildroot/%_bindir/dfbdump
#rm -f %buildroot/%_bindir/dfbinfo
#rm -f %buildroot/%_bindir/dfblayer

# multiarch policy
#%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/directfb-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(644,root,root,755)
%doc README* AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/directfb-%{version}
%{_datadir}/directfb-%{version}


%files -n %{libname}-devel
%defattr(755,root,root,755)
%{_bindir}/directfb-config
#%multiarch %{multiarch_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_bindir}/dfblayer
%{_bindir}/dfbdump
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfbscreen
%{_bindir}/dfbsummon
%defattr(644,root,root,755)
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(644,root,root,755)
%doc docs/html/*

%changelog
* Thu Jun 07 2005 Karoly Barcza <kbarcza@blackpanther.hu>
- new 
